{% extends 'property_vacancy_management/building_unit/building_unit.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/detail') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/detail') }}
{% endblock %}

{% block buildingUnitHeaderContent %}
    <span class="text-primary fs-5 align-self-center">Objekt {{ buildingUnit.getName() }}</span>
    {% if is_granted('edit', buildingUnit) == true %}
        {{ form_widget(buildingUnitDetailForm.save, {'label': 'SPEICHERN', 'id': buildingUnitDetailForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    {% endif %}
{% endblock %}

{% block main %}
    <div class="container-lg mt-4 mb-4">
        <div class="mdc-card">
            {% if is_granted('edit', buildingUnit) == true %}
                {{ form_start(buildingUnitDetailForm, {'attr': {'id': buildingUnitDetailForm.vars.id ~ '_form'}}) }}
            {% endif %}
            {% include 'property_vacancy_management/form/building_unit/building_unit_detail_form.html.twig' with {'form': buildingUnitDetailForm, 'calculatedLocationCategory': calculatedLocationCategory} only %}
            {% if is_granted('edit', buildingUnit) == true %}
                {{ form_row(buildingUnitDetailForm._token) }}
                {{ form_end(buildingUnitDetailForm, {'render_rest': false}) }}
            {% endif %}
        </div>
    </div>
{% endblock %}
